An account's receivers, deposits and withdrawals
curl --request GET \
--url https://mpc.hex-api.app/bridge/accounts/{account}import requests
url = "https://mpc.hex-api.app/bridge/accounts/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/accounts/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/accounts/{account}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/accounts/{account}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/accounts/{account}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/accounts/{account}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"intent_account": "alice.near",
"deposit_hash": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"legacy_hash": "8954A4odzWf5YXmUmmGFpjo68ywJk6Jw6PyBf7LfKUMt",
"registered": true,
"deposits": [
{
"id": 812,
"chain_id": 1100,
"tx_hash": "3b1f6c0e9d2a47c58e6f1a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f",
"intent_account": "alice.near",
"nonce": "1792944123000000004211",
"token": "111bzQBB65GxAPAVoxqmMcgYo5oS3txhqs1Uh1cgahKQUeTUq1TJu",
"amount": "25000000",
"receiver": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"near_tx": "2rQmS4n4TxT7GJ26XLDDZEHEmsizLb1ezGC81zr8dpkR",
"status": "credited",
"attempts": 0,
"last_error": null,
"created_at": 1792944180000,
"updated_at": 1792944200000
}
],
"withdrawals": []
}
Registry
An account's receivers, deposits and withdrawals
The account’s receivers (answered whether registered or not), and its latest 50 deposits and 50 withdrawals, newest first. The account is normalized as in POST /bridge/register.
GET
/
bridge
/
accounts
/
{account}
An account's receivers, deposits and withdrawals
curl --request GET \
--url https://mpc.hex-api.app/bridge/accounts/{account}import requests
url = "https://mpc.hex-api.app/bridge/accounts/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/accounts/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/accounts/{account}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/accounts/{account}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/accounts/{account}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/accounts/{account}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"intent_account": "alice.near",
"deposit_hash": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"legacy_hash": "8954A4odzWf5YXmUmmGFpjo68ywJk6Jw6PyBf7LfKUMt",
"registered": true,
"deposits": [
{
"id": 812,
"chain_id": 1100,
"tx_hash": "3b1f6c0e9d2a47c58e6f1a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f",
"intent_account": "alice.near",
"nonce": "1792944123000000004211",
"token": "111bzQBB65GxAPAVoxqmMcgYo5oS3txhqs1Uh1cgahKQUeTUq1TJu",
"amount": "25000000",
"receiver": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"near_tx": "2rQmS4n4TxT7GJ26XLDDZEHEmsizLb1ezGC81zr8dpkR",
"status": "credited",
"attempts": 0,
"last_error": null,
"created_at": 1792944180000,
"updated_at": 1792944200000
}
],
"withdrawals": []
}
Response
The account.